com.trendmicro.ds.platform.rest.object.smartfolder

## Class ListHostsResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.ListHostsResponse

-     public class ListHostsResponse
      extends java.lang.Object

  Response object for the ListHosts API

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListHostsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHost(HostTransport host)` Add host information to the list.
    `java.util.List<HostTransport>` | `getHosts()` Get the list of host information.
    `void` | `setHosts(java.util.List<HostTransport> hosts)` Set the list of host information.
    `ListHostsResponse` | `withHosts(java.util.List<HostTransport> hosts)` Set the list of host information.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListHostsResponse

          public ListHostsResponse()

  - ### Method Detail

    - #### getHosts

          public java.util.List<HostTransport> getHosts()

      Get the list of host information.
      Returns:
        the list of host information.

    - #### setHosts

          public void setHosts(java.util.List<HostTransport> hosts)

      Set the list of host information.
      Parameters:
        `hosts` - the list of host information.

    - #### withHosts

          public ListHostsResponse withHosts(java.util.List<HostTransport> hosts)

      Set the list of host information.
      Parameters:
        `hosts` - the list of host information.
      Returns:
        the updated ListHostsResponse object

    - #### addHost

          public void addHost(HostTransport host)

      Add host information to the list.
      Parameters:
        `host` - information about the host.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.